My Project: dgPathOpenHeap< NODEID, COST > Class Template Reference

My Project

Protected Member Functions | Friends | List of all members
dgPathOpenHeap< NODEID, COST > Class Template Reference

`#include <dgPathFinder.h>`

Inheritance diagram for dgPathOpenHeap< NODEID, COST >:

## Protected Member Functions

| dgPathOpenHeap (dgInt32 maxElements)
Protected Member Functions inherited from dgHeapBase< dgPathCloseList< NODEID, COST >::dgTreeNode *, COST >
| dgHeapBase (dgInt32 maxElements, dgMemoryAllocator *const allocator)
| dgHeapBase (const void *const buffer, dgInt32 sizeInBytes)
| ~dgHeapBase ()

## Friends

class | dgPathFinder< NODEID, COST >

## Additional Inherited Members

Public Member Functions inherited from dgUpHeap< dgPathCloseList< NODEID, COST >::dgTreeNode *, COST >
| dgUpHeap (dgInt32 maxElements, dgMemoryAllocator *const allocator)
| dgUpHeap (const void *const buffer, dgInt32 sizeInBytes)
void | Pop ()
void | Push (dgPathCloseList< NODEID, COST >::dgTreeNode * &obj, COST key)
void | Sort ()
void | Remove (dgInt32 Index)
Public Member Functions inherited from dgHeapBase< dgPathCloseList< NODEID, COST >::dgTreeNode *, COST >
void | Flush ()
COST | MaxValue () const
COST | Value (dgInt32 i=0) const
dgInt32 | GetCount () const
dgInt32 | GetMaxCount () const
const dgPathCloseList< NODEID, COST >::dgTreeNode * & | operator[] (dgInt32 i) const
dgInt32 | Find (dgPathCloseList< NODEID, COST >::dgTreeNode * &obj)
dgInt32 | Find (COST key)
Public Attributes inherited from dgHeapBase< dgPathCloseList< NODEID, COST >::dgTreeNode *, COST >
dgInt32 | m_curCount
dgInt32 | m_maxCount
dgMemoryAllocator * | m_allocator
RECORD * | m_pool

## Constructor & Destructor Documentation

## § dgPathOpenHeap()

template<class NODEID, class COST>

dgPathOpenHeap< NODEID, COST >::dgPathOpenHeap | ( | dgInt32 | maxElements | ) |

inlineprotected

## Friends And Related Function Documentation

## § dgPathFinder< NODEID, COST >

template<class NODEID, class COST>

friend class dgPathFinder< NODEID, COST >

friend

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgPathFinder.h